Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface ClassDiagramEditor

    com.change_vision.jude.api.inf.editor.ClassDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, DiagramEditor, StructureDiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, DiagramEditor, StructureDiagramEditor

All Known Implementing Classes:
  RequirementDiagramEditor

    public ClassDiagramEditor

extends StructureDiagramEditor

Interface to edit (create/delete) Class/Object diagrams. Throws Exception when invalid models are generated.

Method Summary
`abstract IPresentation[]` | `createAssociationClassPresentation(IAssociationClass model, INodePresentation source, INodePresentation target)` Create an AssociationClass Presentation.
`abstract IClassDiagram` | `createClassDiagram(INamedElement owner, String name)` Create a Class/Object Diagram in a parent package.
`abstract INodePresentation` | `createInstanceSpecification(String name, Point2D location)` Create an instanceSpecification on a diagram.
`abstract INodePresentation` | `createInstanceSpecification(String name, String className, Point2D location)` Create an instanceSpecification on a diagram.
`abstract ILinkPresentation` | `createInstanceSpecificationLink(INodePresentation source, INodePresentation target)` Create a Link Presentation.

Methods inherited from class com.change_vision.jude.api.inf.editor.StructureDiagramEditor
`createContainmentGroup, createContainmentLinkPresentation, createGeneralizationGroup, createLinkPresentation, createNodePresentation, createNodePresentation, getContainmentGroup, getGeneralizationGroup`

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createClassDiagram

    abstract IClassDiagram createClassDiagram(INamedElement owner,
                                              String name)

  Create a Class/Object Diagram in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - Parent Package
    `name` - instanceSpecification name. You can specify the "name : ClassName" format.
  Returns:
    Class/Object Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createInstanceSpecification

    abstract INodePresentation createInstanceSpecification(String name,
                                                           Point2D location)

  Create an instanceSpecification on a diagram.

  Parameters:
    `name` - instanceSpecification name. You can specify the "name : ClassName" format.
    `location` - location on the diagram

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if no diagram is set
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createInstanceSpecification

    abstract INodePresentation createInstanceSpecification(String name,
                                                           String className,
                                                           Point2D location)

  Create an instanceSpecification on a diagram.

  Parameters:
    `name` - instanceSpecification name
    `className` - instanceSpecification class name. You can specify the class by FQCN.
    `location` - location on the diagram

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if no diagram is set
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createInstanceSpecificationLink

    abstract ILinkPresentation createInstanceSpecificationLink(INodePresentation source,
                                                               INodePresentation target)

  Create a Link Presentation.

  Parameters:
    `source` - source
    `target` - target
  Returns:
    Link Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if no diagram is set
              INVALID_LINK_END_KEY - if a model which isn't instanceSpecification has been set.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createAssociationClassPresentation

    abstract IPresentation[] createAssociationClassPresentation(IAssociationClass model,
                                                                INodePresentation source,
                                                                INodePresentation target)

  Create an AssociationClass Presentation.

  Parameters:
    `model` - AssociationClass model.
    `source` - source
    `target` - target
  Returns:
    AssociationClass Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD